# RisingWave Developer Documentation

Welcome to an overview of the developer documentations of RisingWave!

## Design Docs

The [design docs](https://github.com/risingwavelabs/risingwave/blob/main/docs/README.md) covers some high-level ideas of how we built RisingWave.

## Crate Docs

Here are the rustdocs of the core crates in RisingWave. You can read them to understand the implementation details of RisingWave.

<!-- Not all crates are listed here. For example, binary crates and test crates are not included. -->

### Core Components

- **Frontend**
  - [risingwave_sqlparser](risingwave_sqlparser/index.html)
  - [risingwave_frontend](risingwave_frontend/index.html)
- **Meta**
  - [risingwave_meta](risingwave_meta/index.html)
- **Compute**
  - [risingwave_expr](risingwave_expr/index.html)
  - [risingwave_batch](risingwave_batch/index.html)
  - [risingwave_stream](risingwave_stream/index.html)
- **Storage**
  - [risingwave_storage](risingwave_storage/index.html)
  - [risingwave_hummock_sdk](risingwave_hummock_sdk/index.html)
  - [risingwave_object_store](risingwave_object_store/index.html)

### Source and Connector

- [risingwave_source](risingwave_source/index.html)
- [risingwave_connector](risingwave_connector/index.html)

### Common

Common functionalities shared inside RisingWave.

- [risingwave_common](risingwave_common/index.html)
- [risingwave_common_service](risingwave_common_service/index.html)
- [risingwave_rpc_client](risingwave_rpc_client/index.html)
- [risingwave_tracing](risingwave_tracing/index.html)
- [risingwave_pb](risingwave_pb/index.html): protobuf definitions generated by prost from `src/proto`
- [risingwave_rt](risingwave_rt/index.html)

### Utils

The crates under `src/utils` are several independent util crates which helps to simplify development. We plan to publish them to [crates.io](https://crates.io/) in future when they are more mature.

- [async_stack_trace](async_stack_trace/index.html)
- [global_stats_alloc](global_stats_alloc/index.html)
- [local_stats_alloc](local_stats_alloc/index.html)
- [memcomparable](memcomparable/index.html)
- [pgwire](pgwire/index.html)
